Appender::Screen(3)

NAME
Log::Log4perl::Appender::Screen - Log to STDOUT/STDERR

SYNOPSIS
    use Log::Log4perl::Appender::Screen;

    my $app = Log::Log4perl::Appender::Screen->new(
      stderr    => 0,
    );

    $file->log(message => "Log me\n");

DESCRIPTION
This is a simple appender for writing to STDOUT or STDERR.

The constructor "new()" take an optional parameter "stderr", if set to a true value, the appender will log to STDERR. If "stderr" is set to a false value, it will log to STDOUT. The default setting for "stderr" is 1, so messages will be logged to STDERR by default.

Design and implementation of this module has been greatly inspired by Dave Rolsky's "Log::Dispatch" appender framework.

AUTHOR
Mike Schilli <log4perl@perlmeister.com>, 2003